# Dashboard for /win/work/Project/ecom/core/tools

## Classes

### Coverage Distribution

### Complexity

### Insufficient Coverage

Class | Coverage
--- | ---
HookEvent | 0%
Hooks | 30%
AModule | 71%
ModuleManager | 81%

### Project Risks

Class | CRAP
--- | ---
Hooks | 81
ModuleManager | 26
HookEvent | 20
AModule | 18

## Methods

### Coverage Distribution

### Complexity

### Insufficient Coverage

Method | Coverage
--- | ---
isInHook | 0%
__get | 0%
listAvailableModules | 0%
routeAdd | 0%
uninstall | 0%
register | 0%
registerHook | 0%
getDescription | 0%
__construct | 0%
__get | 0%
trigger | 14%
__get | 80%

### Project Risks

Method | CRAP
--- | ---
listAvailableModules | 30
trigger | 14
__get | 12
isInHook | 12
routeAdd | 6
register | 6
__get | 6
__get | 3